Regression (10.10): Unable to adjust screen brightness on recent Sony Vaio notebooks, Intel GMA adapter

Bug #173652 reported by Michael Doube on 2007-12-03
106
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
xbacklight (Ubuntu)
Undecided
Unassigned

Bug Description

Fn keys don't work for dimming the screen, though they do stimulate the sonybright.sh script.

xbacklight works if the notebook has an Intel 965 (x3100) display adapter, but is subject to bug #176888 (won't work on Hardy, bad XRandR setting).

See bug #95444 for a hack to nvclock which makes it possible to control backlight on nVidia 8 series adapters (SPEED mode on the SZ650).

There are 2 problems here:
1) The Vaio's LED screen is really very bright when burning at 100% and is hard to look at for any period
2) Battery life suffers

Pretty much all the newer Vaios (2007 onwards) have some combination of these graphics adapters so this bug should be widespread (and much appreciated when fixed!). A couple of script solutions have been proposed in this bug report; please feel free to hack and make suggestions.

One solution for notebooks with Intel 965 display adapters is to install xbacklight:

]$ sudo apt-get install xbacklight

Then add these 2 lines to /etc/rc.local (or just execute from the command line):

xrandr --output LVDS --set BACKLIGHT_CONTROL native
/etc/init.d/acpid restart

And edit /etc/acpi/sonybright.sh so that is contains only this:

#!/bin/bash
if [ "x$1" = "xdown" ]; then
   xbacklight -time 100 -steps 10 -dec 10 2>/tmp/sonybright.log
elif [ "x$1" = "xup" ]; then
   xbacklight -time 100 -steps 10 -inc 10 2>/tmp/sonybright.log
else
   echo >&2 Unknown argument $1
fi

Please note that this will not affect brightness on nVidia 8 series adapters, just Intel adapters.
Backlight on nVidia adapters is being dealt with in bug #95444, to separate this report from the nVidia report.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mdoube 4509 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc500000 irq 48'
   Mixer name : 'SigmaTel STAC9872AK'
   Components : 'HDA:83847662,104d1e00,00100201 HDA:14f12c06,104d1700,00100000'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=a017c7e4-4a29-4ba1-bfea-52cd609781d8
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
MachineType: Sony Corporation VGN-SZ650N
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=31cf7381-5708-4104-8d9e-a2eaaec7cbe7 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Regression: Yes
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: maverick kernel-graphics regression-release needs-upstream-testing
Uname: Linux 2.6.35-22-generic x86_64
UserGroups:

dmi.bios.date: 04/04/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0122S5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0122S5:bd04/04/2008:svnSonyCorporation:pnVGN-SZ650N:pvrJ002UR2M:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SZ650N
dmi.product.version: J002UR2M
dmi.sys.vendor: Sony Corporation

Michael Doube (michael-doube) wrote :

This big is still present and identical in Hardy Heron (today's Live CD)

Jim Stuttard (jim-stuttard) wrote :

Sony Vaio Z600 TEK 512MB 80MHz
Linux jim 2.6.22-14-server #1 SMP Sun Oct 14 23:34:23 GMT 2007 i686 GNU/Linux

Gutsy boots up dimmed. F+F5 and F+F6 do nothing so I have to run a brightness script.

Michael Doube (michael-doube) wrote :

The only solution I've come across so far is to run:

xbacklight -set n

where n is a number between 0 and 100.

And for the first time I have control over the brightness of my laptop's LCD. However, xbacklight has to be run from the command line and does not seem to interact with any of GNOME's applets, or ACPI events like plugging in AC mains or going onto battery. What's xbacklight doing that nothing else can do?

Michael Doube (michael-doube) wrote :

There's a limitation to xbacklight which is that it only works on the Intel adapter and not the nVidia one (Intel GM965 / GMA X3100 vs. nVidia 8400M GS), using the intel (experimental modesetting) or proprietary nvidia drivers.

The Hardy Heron Alpha2 release will be coming out soon (like today). It will have an updated version of the kernel because unfortunately Hardy Alpha1 was released with the older Gutsy kernel. It would be great if you could test with this new release and verify if this issue still exists. I'll be sure to update this report when Alpha2 is available. Thanks!

Changed in linux:
status: New → Incomplete

I'm opened a new task against the actively developed kernel. However, I'm closing the report against linux-source-2.6.22 as it does not meet the criteria for a stable release update. You can learn more about the stable release update process at https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.22:
status: New → Won't Fix
Michael Doube (michael-doube) wrote :

This bug is still present in Hardy alpha-2

Thanks for testing Michael. Per the kernel team's bug policy, can you please attach the following information:

* uname -a > uname-a.log
* cat /proc/version_signature > version.log
* dmesg > dmesg.log
* sudo lspci -vvnn > lspci-vvnn.log

Please be sure to attach each file as a separate attachment. For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help and feedback.

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :

xbacklight does not work in Hardy on the Intel driver, as reported here:
https://bugs.launchpad.net/ubuntu/+source/xbacklight/+bug/176888

Michael Doube (michael-doube) wrote :

Logs from hardy follow...

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Michael Doube (michael-doube) wrote :

This bug is still present in Hardy alpha-4

Michael Doube (michael-doube) wrote :

...and Hardy alpha 5 ...

Michael Doube (michael-doube) wrote :

And Hardy Beta...

description: updated

I have the same bug on my Sony Vaio-SZ95 laptop.
The default script "/etc/acpi/sonybright.sh" in Hardy beta does not seem to work.
You can try replacing it my workaround bellow (mainly inspired by "Matt"'s comment at "http://moelhave.dk/gnulinux-ubuntu-gutsy-gibbon-710-on-the-sony-vaio-sz6-series/") [Note that this script uses "/etc/acpi/var/brightness" file so, you have to create it]

#!/bin/bash
function adjust
{
   BRIGHTNESS=$1
   if [ $BRIGHTNESS -ge 9 ]; then
      BRIGHTNESS=9
   fi

   if [ $BRIGHTNESS -le -9 ]; then
      BRIGHTNESS=-9
   fi

   echo $BRIGHTNESS >/etc/acpi/var/brightness
   B=0.$BRIGHTNESS
   B=$(echo $B | sed -e {s/0.-/-0./})
   echo “adjusting brightness to $B”
   /usr/bin/nvidia-settings -c ":0.0" -V -a Brightness=$B 2>/tmp/sonybright.log
}

BRIGHTNESS=$(cat /etc/acpi/var/brightness)

if [ "x$1" = "xdown" ]; then
   BRIGHTNESS=$(( $BRIGHTNESS - 1 ))
   adjust $BRIGHTNESS
elif [ "x$1" = "xup" ]; then
   BRIGHTNESS=$(( $BRIGHTNESS + 1 ))
   adjust $BRIGHTNESS
else
   echo >&2 Unknown argument $1
fi

Michael Doube (michael-doube) wrote :

OK. Today dumb work decided that it would be great to have guys installing new windows in the lab, and didn't tell anyone. So here I am in the foyer hacking Ubuntu to get away from the annoying sound of masonry drills, instead of writing the code I'm meant to...

I've re-written jeannich's script to work with xbacklight.

To set up the file where brightness is stored, you have to
]$ mkdir /etc/acpi/var/
]$ cat 50 > /etc/acpi/var/brightness

There's only one snag, you have to run this during your xsession:
]$ sudo /etc/init.d/acpid restart

Also, GNOME appears to be totally ignorant of brightness, so no icon is echoed to the screen as brightness is adjusted.
A hybrid version of these scripts would be useful for those of us with both Intel 965 and nVidia 8400M GS cards (i.e all the recent SZ's) so that the Fn keys work in both SPEED or STAMINA modes

Save this script as /etc/acpi/sonybright.sh

#!/bin/bash
export DISPLAY=:0
function adjust
{
   BRIGHTNESS=$1
   if [ $BRIGHTNESS -ge 100 ]; then
      BRIGHTNESS=100
   fi

   if [ $BRIGHTNESS -le 0 ]; then
      BRIGHTNESS=0
   fi

   echo $BRIGHTNESS >/etc/acpi/var/brightness
   B=$BRIGHTNESS
   echo “adjusting brightness to $B”
   /usr/bin/xbacklight -set $B 2>/tmp/sonybright.log
}

BRIGHTNESS=$(cat /etc/acpi/var/brightness)

if [ "x$1" = "xdown" ]; then
   BRIGHTNESS=$(( $BRIGHTNESS - 10 ))
   adjust $BRIGHTNESS
elif [ "x$1" = "xup" ]; then
   BRIGHTNESS=$(( $BRIGHTNESS + 10 ))
   adjust $BRIGHTNESS
else
   echo >&2 Unknown argument $1
fi

description: updated
Michael Doube (michael-doube) wrote :

Actually,
export DISPLAY=:0
is not required.

jeannich (jeannich) wrote :

Thanks for the update, I didn't knew "xbacklight". The script can therefore shortened as xbacklight keeps a copy of the current luminosity. Here is the shortened script:

#!/bin/bash
if [ "x$1" = "xdown" ]; then
   xbacklight -time 0 -steps 1 -dec 10 2>/tmp/sonybright.log
elif [ "x$1" = "xup" ]; then
   xbacklight -time 0 -steps 1 -inc 10 2>/tmp/sonybright.log
else
   echo >&2 Unknown argument $1
fi

Michael Doube (michael-doube) wrote :

Thanks for that jeannich, it works really well (though I like to set -time 100 -steps 10 for smooth changing).

You still have to run these 2 lines after each reboot though:

:~$ xrandr --output LVDS --set BACKLIGHT_CONTROL native
:~$ sudo /etc/init.d/acpid restart

And GNOME does not recognise a change in backlight state.

jeannich (jeannich) wrote :

Right Michael,
And probably those 2 lines could be added in /etc/rc.local till bug #197929[https://bugs.launchpad.net/ubuntu/+source/linux/+bug/197929] (and therefore 176888[https://bugs.launchpad.net/ubuntu/+source/xbacklight/+bug/176888] as a duplicate) isn't solved.
I didn't tried yet but it should work.

By the way about smooth changing matter, I think I have a bug at least on my machine: xbacklight response times is sometime not immediate and in some cases doesn't respect the "time" setting.
I have set "time" to 0 in order to hace an immediate xbacklight change it sometime doesn't work.
This may be another issue: could you check on your machine Michael?

Here is an use case example:
-Push Fn keys 3 times to increase backlight luminosity

Result expected:
-Luminosity is increased 3 times successively by the amount asked (10% with my above script)

Bad result sometime on my computer:
-Luminosity doesn't change for an approximate time of 1 to 2 seconds (it should be immediate) and then suddenly increase luminosity by 3 steps

Michael Doube (michael-doube) wrote :

Jeannich,

My backlight always changes smoothly, though if I hit Fn+F5 or Fn+F6 rapidly 5 times it takes a couple of seconds to make the whole change, but there is no delay from my first key press to the first backlight increment / decrement.

I'm not going to add those 2 lines to /etc/rc.local because they will obscure bug fixes.

jeannich (jeannich) wrote :

Thank you for the feedback Michael,

So if you have that delay too, that may be an other xbacklight issue (or an improvement/feature request).
About rc.local, I'll keep mine modified and will remove it when xbacklight patch is released.

Zaca (zaca98) wrote :

I have a Sony Vaio VGN-NR11Z (GMA x3100)

The brightness control didn't work. Installing xblacklight and
using the "xrandr --output LVDS --set BACKLIGHT_CONTROL native"
I can set the brightness over the command line. The scripts
above didn't work for me, the Fn-F5 and Fn-F6 don't work anyway.

I'm not sure the script is being activated at all by those keys, how
can I check that?

benste (benste) wrote :

XRANDR doesn't work for my nvidia driver.

But you can use powersaving functions of a geforce card:
the normal driver installs nvclock
just type in your terminal "nvclock -S -10" or instead of - or + 10 a value between 15 and 100

Can someone change the script that these options are used for nvidia cards?

Petr Menšík (pihhan) wrote :

I have wrote script for using xbacklight for acpi buttons. I believe your script wont work, because mine havent work also when done like yours. Problem is that xbacklight needs access to X server, when executed by acpi event, it does not have it. When executed from terminal when testing, it work well. Moreover, you have your own file to store brightness value. That is not needed, because xbacklight have increase and decrease options also.

My script is under https://bugs.launchpad.net/ubuntu/+source/acpi-support/+bug/232464 bug in acpi routines. It does contain some more things, like lower bright on battery run. I suggest you take a look on archive, as it is a bit better.

As for nvidia driver: check /etc/acpi/sony-bright.sh script, how is that done. If nvclock does not need access to X server, you can basically remove all other there. Or, you might try edit /etc/acpi/events/sony-brightness-(up|down).sh, and there put nvclock command with full path and parameters. It might work better. Reload then acpid using sudo invoke-rc.d acpid reload.

Note that i dont need any change in xbacklight before changing backlight. I have combination there from startup and it does work fine enough.

 $ xrandr --prop | grep BACKLIGHT
 BACKLIGHT_CONTROL: combination
 BACKLIGHT: 10396 (0x0000289c) range: (0,26015)

I have Sony Vaio VGN-FZ210C with
 $ lspci|grep VGA
 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

benste (benste) wrote :

:-) I tried to mod the sonybrightness file with nvclock -S -10 command and so on but I'm not exactly shure wheter it was right - can you give me a nvclock script which should work? I don't understand enough of the script for modding right.

huiii (a00ps) wrote :

which version of nvclock are u using?

1 comments hidden view all 161 comments
benste (benste) wrote :

NVClock v0.8 (Beta3)

benste (benste) wrote :

@ pihhan
I've already posted my events:
http://ubuntuforums.org/showthread.php?t=465491&goto=newpost

-> site seems to be curretnly offline

I dimmed my screen!!! You guys don't have any idea how happy I am!

I did add those two lines to rc.local and used the most shortened version of the script.

I do so with the rest of my extra hardware worked such as VGA, mic, headphone, etc. But this is a HUGE step in that direction.

Thanks for everybody that figured out how to get this far.

description: updated
description: updated

I found an issue with that rc.local idea. It appears that those lines need to be executed after gdm is running. I created a script that lets you run it. Once running, press "i" to run the two lines that make screen brightness work. One uses sudo so you will need to be able to run that command. From there you can press either the up or down arrow keys to change the brightness. You don't need to run "i" each time you start the script, just each time gdm starts up. and obviously q will exit the script.

Hope it helps. I know it can be cleaned up, but I'm more concerned about a convenient and usable script. I keep this one in my ./bin.

#!/bin/bash

while true; do
 clear
 echo "up = Screen Brightness Up"
 echo "down = Screen Brightness Down"
 echo "i = Intialize Hardware"
 echo "q = Quit"

 read -s -n1 key

 clear

 case "$key" in
  $'\033')
   read -s -n1 key; read -s -n1 key
   case "$key" in
    A)
     xbacklight -time 0 -steps 1 -inc 10 2>/tmp/sonybright.log
     ;;
    B)
     xbacklight -time 0 -steps 1 -dec 10 2>/tmp/sonybright.log
     ;;
   esac
   ;;
  i)
   xrandr --output LVDS --set BACKLIGHT_CONTROL native
   sudo /etc/init.d/acpid restart
   ;;
  q)
   clear
   exit 0
   ;;
 esac
done

benste (benste) wrote :

Does it also work for nvidia card like my 7600 Go??

Changed in linux:
status: Triaged → Fix Released
Changed in linux:
status: Fix Released → In Progress
description: updated
description: updated
description: updated
81 comments hidden view all 161 comments

I'm changing the status of this bug back to a "Triaged" state. The reason is that a bug in an "In Progress" state should be assigned to a specific member of the kernel team to indicate who on the kernel team is working on the bug. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. I think this bug may inadvertently be getting overlooked since it is in an In Progress state but a specific member of the kernel team is not working on a fix. Thanks.

Changed in linux:
status: In Progress → Triaged
Eric Donkersloot (ericd) wrote :

Just wanted to let you know that under Fedora 10, I can use the LCD brightness applet in Gnome to set the brightness and I also don't need to run "xrandr --output LVDS --set BACKLIGHT_CONTROL native" or "xrandr --output LVDS --set BACKLIGHT_CONTROL legacy" first.

Hardware: Sony Vaio VGN-BZ12XN, Mobile Intel 4500MHD
Driver: xorg-x11-drv-i810-2.5.0-3.fc10.i386

The fn brightness keys still do not work though and they don't produce any acpi events.

Jobson (mrjobson-gmail) wrote :

Ony Sony Vaio VGN-CP190 brightness keys does not produce any event. Even with showkey -s / -k it does not show any code. But snd up/down - shows!

xrandr + xbacklight works but cannot be mapped to its hotkeys

1 comments hidden view all 161 comments

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

On my SZ61, after typed in console:

xrandr --output LVDS --set BACKLIGHT_CONTROL native

i can control the luminosoty with the Fn key, on Intel video card.

Derek7 (enrico-vittorini) wrote :

sorry, I ment "the brightness"

I installed 9.04 today. Screen brightness and hotkeys for it are working perfect out of the box.

Still now working with 9.04. My laptop is a Sony Vaio VGN-CR220E

On Fri, Jan 9, 2009 at 4:57 PM, Michael Lustfield <email address hidden>wrote:

> I installed 9.04 today. Screen brightness and hotkeys for it are working
> perfect out of the box.
>
> --
> Unable to adjust screen brightness on recent Sony Vaio notebooks, Intel GMA
> adapter
> https://bugs.launchpad.net/bugs/173652
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

bh1nd3r (preet-bhinder) wrote :

I'm sorry I meant "still NOT working"

On Fri, Jan 9, 2009 at 10:05 PM, Mohan Preet S Bhinder <
<email address hidden>> wrote:

> Still now working with 9.04. My laptop is a Sony Vaio VGN-CR220E
>
>
>
> On Fri, Jan 9, 2009 at 4:57 PM, Michael Lustfield <email address hidden>wrote:
>
>> I installed 9.04 today. Screen brightness and hotkeys for it are working
>> perfect out of the box.
>>
>> --
>> Unable to adjust screen brightness on recent Sony Vaio notebooks, Intel
>> GMA adapter
>> https://bugs.launchpad.net/bugs/173652
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>
>

Backlight control from hotkeys is now working on a fresh installation of Jaunty alpha 4.

More than 5 brightness steps would be better though, perhaps 10 would be good?

To be honest, with the patch I'm using in stable, I get 20 steps. I find this just a slight tad to many. mostly because I feel it should have a little better flow. 19 to 20 goes from I'd like this a little darker to completely black. Perhaps 15 would be a good number?

I'll have to grab an a4 cd and check it out. For me I know it'll be a matter of how well it works as opposed to working or not.

On Jaunty with latest updates I now get 9 steps for the backlight with the
Fn key combination.
When I installed (Alpha 3) there were only 5 steps, so some update changed
it.
9 steps (while an odd number) is working a lot better now, and much more
usable because the difference between the steps is not so drastic.
I think its working very well now.

Hi Micheal,

Since you are the original bug reporter, based on you most recent comment - https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/173652/comments/132 - it would seem that the original issue of the brightness keys not even working is no longer an issue in the latest Jaunty Alpha. The granularity of the number of brigthness steps available would be more of a low to wishlist bug importance and I think should likely even warrant a new bug being opened. Would you agree? If so, lets go ahead and mark this one Fix Released for Jaunty and post a link to the new bug. It's much easier on the development teams if bug reports target one specific issue, otherwise they end up having to sift through 100+ comments before they even get to the new issue at hand. Thanks.

Changed in xbacklight:
status: New → Fix Released

Yup, bug is definitely at Fix Released. Here's the follow up for that last little stuff. Bug 338596

Changed in linux:
status: Triaged → Fix Released

Well... whether you were talking to me or not. :P I just thought you were referring to me since I also filed one prior. There really is enough here to call it fixed though. We haven't heard anyone come back yet disagreeing about the current state. Hurray for an extremely lengthy bug going away.

Changed in linux (Ubuntu):
status: Fix Released → New
summary: - Unable to adjust screen brightness on recent Sony Vaio notebooks, Intel
- GMA adapter
+ Regression (10.10): Unable to adjust screen brightness on recent Sony
+ Vaio notebooks, Intel GMA adapter
Michael Doube (michael-doube) wrote :

.... And this bug is back in 10.10 (Maverick) released yesterday. No backlight control using Fn keys, but xbacklight works fine.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Michael Doube (michael-doube) wrote :

I filed a new bug against acpi-support, bug #658198, so feel free to mark this report fix released (again) if you think it's a new issue.

Eric Donkersloot (ericd) wrote :

Brightness controls work fine on my Sony Vaio BZ12XN, I cannot reproduce this bug on 10.10.

Michael Doube (michael-doube) wrote :

Eric: fresh install, or upgrade? I upgraded using update manager.

Eric Donkersloot (ericd) wrote :

Michael: I did a fresh install of 10.10.

Walter_Wittel (wittelw) wrote :

FWIW the brightness keys (Fn-F5 & Fn-F6) work fine on my Vaio VGN-CR120E using the 32-bit version of 10.10 release booted from a LiveCD.

Michael Doube (michael-doube) wrote :

OK, looks like it's specific to my model, will re-close this bug and point everyone to bug #658198, where I am logging the not-very-entertaining task of bisecting Maverick's kernel Git tree to find where this bug started.

Changed in linux (Ubuntu):
status: New → Fix Released
Displaying first 40 and last 40 comments. View all 161 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers